SUBROUTINE WRAPPERC2F(M, N, A, IA, JA, DESCA, IRPRNT, ICPRNT, LENGHT, ARRAY, NOUT, WORK)
      
  IMPLICIT NONE
  
  INTEGER :: M, N, A, IA, JA, DESCA, IRPRNT, ICPRNT, LENGHT, NOUT
  REAL*8 :: WORK
  INTEGER :: i
  INTEGER :: array(lenght)
  
  CHARACTER(lenght) :: stringa

  do i=1, lenght
     stringa(I:I) = CHAR(array(i))
  end do
 
  call pdlaprnt( m, n, a, ia, ja, desca, irprnt, icprnt, stringa, nout, work)
  
END SUBROUTINE WRAPPERC2F


